ChangeSet 1.1504.2.7, 2003/12/05 11:07:06-08:00, stern@rowland.harvard.edu

[PATCH] USB storage: Fix logic error in raw_bulk.c:us_copy_to_sgbuf()

This patch fixes a simple logic error in the routine that copies data from
a driver buffer to a scatter-gather user buffer.


 drivers/usb/storage/raw_bulk.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/storage/raw_bulk.c b/drivers/usb/storage/raw_bulk.c
--- a/drivers/usb/storage/raw_bulk.c	Mon Dec 29 14:26:24 2003
+++ b/drivers/usb/storage/raw_bulk.c	Mon Dec 29 14:26:24 2003
@@ -96,7 +96,7 @@
 			length = room;
 		
 		memcpy(ptr, buffer+transferred, length);
-		transferred += sg[i].length;
+		transferred += length;
 		*offset += length;
 		if (length == room) {
 			i++;
